Subject: Re: [Sigtran] M2PA Flush Buffers

From: Tom George <[email-masked]>
Date: Mon, 03 Feb 2003 16:52:38 -0600

Tolga,

The interface between SCTP and its upper layer does not provide for a
way to flush the SCTP buffers. So the approach we took in M2PA was to
discard the messages waiting to be sent or received. 

If you have some implementation-dependent means for flushing SCTP
buffers and you can use it to meet the M2PA requirements, then that
would be, well, an implementation matter.

tomG.

TOLGA ASVEREN wrote:
> 
> Tom,
> 
> I mean, during flushing, what to do with SCTP buffers?
> 
>    Tolga
> --- Tom George <[email-masked]> wrote:
> > Tolga,
> >
> > I am not sure what you are asking. Could you be more
> > specific?
> >
> > tomG.
> >
> > TOLGA ASVEREN wrote:
> > >
> > > Tom,
> > > Is there also a decision about what to do while
> > flushing buffers?
> > >
> > >    Tolga

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran